/* -*- mode: c++; indent-tabs-mode: nil; -*-
 *
 * This file is part of the Mango recipe management distribution.
 * Copyright (c) 2000-2003, Roland Jesse
 * All rights reserved.
 *
 * For license and copyright information see the file COPYRIGHT or 
 * <http://www.opensource.org/licenses/bsd-license.html>.
 *
 * $Id: PreferencesDialog.h,v 1.6 2003/01/12 16:19:56 rjesse Exp $
 */
 
#ifndef PREFERENCES_DIALOG_H
#define PREFERENCES_DIALOG_H

#include "PreferencesForm.h"

/*!
 * Class for defining program preferences.
 */
class PreferencesDialog : public PreferencesForm {
      Q_OBJECT
      
   public:
      PreferencesDialog( QWidget* parent, const char* name = 0);
      
   signals:
      void preferencesChanged();
      
   protected slots:
      void slotApply();
      void slotAskForDocRootDir();

   private:
      void applyStyle();
};
#endif // PREFERENCES_DIALOG_HPP
